Bug 162512 - [patch] Upgrade sysutils/libcdio to version 0.83
[patch] Upgrade sysutils/libcdio to version 0.83
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Tilman Keskinoz
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-13 03:10 UTC by conrads
Modified: 2012-01-18 17:40 UTC (History)
0 users

See Also:


Attachments
sysutils-libcdio.diff (1.89 KB, patch)
2011-11-13 03:10 UTC, conrads
no flags Details | Diff
patch-configure (919 bytes, application/octet-stream)
2012-01-16 21:52 UTC, conrads
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description conrads 2011-11-13 03:10:11 UTC
	Upgrade sysutils/libcdio to version 0.83

Fix: Patch below.
How-To-Repeat: 	N/A
Comment 1 Edwin Groothuis freebsd_committer 2011-11-13 03:10:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->arved

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 cvs-src 2011-11-13 06:42:45 UTC
Conrad J. Sabatier wrote on 13.11.2011 07:08:
>> Number:         162512
>> Category:       ports
>> Synopsis:       [patch] Upgrade sysutils/libcdio to version 0.83

> -lib/libcdio.so.12
> +lib/libcdio.so.13
>  lib/libcdio++.a
>  lib/libcdio++.la
>  lib/libcdio++.so
> @@ -57,15 +57,15 @@
>  lib/libcdio_cdda.a
>  lib/libcdio_cdda.la
>  lib/libcdio_cdda.so
> -lib/libcdio_cdda.so.0
> +lib/libcdio_cdda.so.1
>  lib/libcdio_paranoia.a
>  lib/libcdio_paranoia.la
>  lib/libcdio_paranoia.so
> -lib/libcdio_paranoia.so.0
> +lib/libcdio_paranoia.so.1
>  lib/libiso9660.a
>  lib/libiso9660.la
>  lib/libiso9660.so
> -lib/libiso9660.so.7
> +lib/libiso9660.so.8

Hi Conrad!

Just want to note, that if i understand correctly, at minimum this ports
PORTREVISION should be bumped after updating libcdio because of shared
libraries version bump:

audio/aqualung audio/cripple audio/deadbeef audio/sound-juicer
devel/gvfs emulators/mednafen emulators/pcsxr
multimedia/audacious-plugins multimedia/bmpx multimedia/gmerlin
multimedia/gmerlin-avdecoder multimedia/libxine multimedia/qmmp
multimedia/vcdimager multimedia/xbmc sysutils/gstreamer-plugins-cdio
sysutils/unieject

-- 
Regards,
Ruslan

Tinderboxing kills... the drives.
Comment 3 Tilman Keskinoz freebsd_committer 2011-11-13 14:02:15 UTC
Thanks for the work.

Because of the large number ports touched, this has probably to wait =
until after the ports feature freeze.



On Nov 13, 2011, at 07:50 , Ruslan Mahmatkhanov wrote:

> The following reply was made to PR ports/162512; it has been noted by =
GNATS.
>=20
> From: Ruslan Mahmatkhanov <cvs-src@yandex.ru>
> To: "Conrad J. Sabatier" <conrads@cox.net>
> Cc: FreeBSD-gnats-submit@FreeBSD.org
> Subject: Re: ports/162512: [patch] Upgrade sysutils/libcdio to version =
0.83
> Date: Sun, 13 Nov 2011 10:42:45 +0400
>=20
> Conrad J. Sabatier wrote on 13.11.2011 07:08:
>>> Number:         162512
>>> Category:       ports
>>> Synopsis:       [patch] Upgrade sysutils/libcdio to version 0.83
>=20
>> -lib/libcdio.so.12
>> +lib/libcdio.so.13
>> lib/libcdio++.a
>> lib/libcdio++.la
>> lib/libcdio++.so
>> @@ -57,15 +57,15 @@
>> lib/libcdio_cdda.a
>> lib/libcdio_cdda.la
>> lib/libcdio_cdda.so
>> -lib/libcdio_cdda.so.0
>> +lib/libcdio_cdda.so.1
>> lib/libcdio_paranoia.a
>> lib/libcdio_paranoia.la
>> lib/libcdio_paranoia.so
>> -lib/libcdio_paranoia.so.0
>> +lib/libcdio_paranoia.so.1
>> lib/libiso9660.a
>> lib/libiso9660.la
>> lib/libiso9660.so
>> -lib/libiso9660.so.7
>> +lib/libiso9660.so.8
>=20
> Hi Conrad!
>=20
> Just want to note, that if i understand correctly, at minimum this =
ports
> PORTREVISION should be bumped after updating libcdio because of shared
> libraries version bump:
>=20
> audio/aqualung audio/cripple audio/deadbeef audio/sound-juicer
> devel/gvfs emulators/mednafen emulators/pcsxr
> multimedia/audacious-plugins multimedia/bmpx multimedia/gmerlin
> multimedia/gmerlin-avdecoder multimedia/libxine multimedia/qmmp
> multimedia/vcdimager multimedia/xbmc sysutils/gstreamer-plugins-cdio
> sysutils/unieject
Comment 4 arved 2012-01-16 19:59:22 UTC
We seem to need an additional patch for FreeBSD 9:

http://lists.gnu.org/archive/html/libcdio-devel/2011-12/msg00019.html


I will try to do some testing this week
Comment 5 conrads 2012-01-16 21:52:55 UTC
On Mon, 16 Jan 2012 20:59:22 +0100
Tilman Keskinöz <arved@arved.at> wrote:

> We seem to need an additional patch for FreeBSD 9:
> 
> http://lists.gnu.org/archive/html/libcdio-devel/2011-12/msg00019.html
> 
> 
> I will try to do some testing this week


Might as well include freebsd10* up in there while we're at it.

I just applied your patch (with freebsd10* added as well, since I'm
running CURRENT), and it does work.

I've attached my amended version of your patch (to include freebsd10*)
to this mail.

Thanks!

P.S. Incidentally, if you're going to be using libcdio-0.83 with
audacious, you'll need to modify the Makefile for audacious-plugins if
you even need to rebuild.  It looks for libcdio.so.12 while version
0.83 installs libcdio.so.13.

-- 
Conrad J. Sabatier
conrads@cox.net
Comment 6 Tilman Keskinoz freebsd_committer 2012-01-18 15:21:57 UTC
sysutils/unieject fails with:

cc -O2 -pipe -fno-strict-aliasing -fvisibility=hidden -o .libs/unieject
unieject-unieject.o unieject-utils.o  -L/usr/local/lib
/usr/local/lib/libpopt.so ./.libs/libunieject.so
/usr/local/lib/libcdio.so -lm -lcam /usr/local/lib/libconfuse.so
/usr/local/lib/libintl.so /usr/local/lib/libiconv.so -Wl,--rpath
-Wl,/usr/local/lib
./.libs/libunieject.so: undefined reference to `mmc_start_stop_media'


It is maintained by ports@ and there is a new version on SF
Comment 7 dfilter freebsd_committer 2012-01-18 17:35:44 UTC
arved       2012-01-18 17:35:29 UTC

  FreeBSD ports repository

  Modified files:
    sysutils/libcdio     Makefile distinfo pkg-plist 
  Added files:
    sysutils/libcdio/files patch-configure 
  Log:
  Update to 0.83
  
  PR:             162512
  Submitted by:   "Conrad J. Sabatier" <conrads@cox.net>
  Reviewed by:    rm
  
  Revision  Changes    Path
  1.38      +1 -2      ports/sysutils/libcdio/Makefile
  1.15      +2 -2      ports/sysutils/libcdio/distinfo
  1.1       +22 -0     ports/sysutils/libcdio/files/patch-configure (new)
  1.19      +4 -4      ports/sysutils/libcdio/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Tilman Keskinoz freebsd_committer 2012-01-18 17:36:59 UTC
State Changed
From-To: open->closed

committed, thanks